<div id="body" class="container-fluid">
  <div class="row">
    <div class="col-24">
      <h6>Customer Bypass</h6>
      <dx-data-grid #grid id="grid" [dataSource]="items" keyExpr="id"
                    [wordWrapEnabled]="true" [rowAlternationEnabled]="true"
                    [showBorders]="true" [columnAutoWidth]="true"
                    (onToolbarPreparing)="onToolbarPreparing($event)"
                    (onContentReady)="grid.instance.searchByText(grid.searchPanel.text.trim())"
                    (onRowInserting)="saveForm($event)" (onRowUpdating)="saveForm($event)">
        <dxo-sorting mode="multiple"></dxo-sorting>
        <dxo-scrolling mode="standard" showScrollbar="always" useNative="false"></dxo-scrolling>
        <dxo-editing mode="form" [useIcons]="true" [allowUpdating]="true">
          <dxo-form>
            <dxi-item dataField="h1Cd" [colSpan]="1"></dxi-item>
            <dxi-item dataField="custNme" [colSpan]="1"></dxi-item>
            <dxi-item dataField="recStusId" [colSpan]="1"></dxi-item>
          </dxo-form>
        </dxo-editing>
        <dxo-paging [pageSize]="50"></dxo-paging>
        <dxo-pager [showPageSizeSelector]="true" [allowedPageSizes]="[25, 50, 100]"></dxo-pager>
        <dxo-search-panel [visible]="true" [highlightCaseSensitive]="true"></dxo-search-panel>
        <dxi-column type="buttons" [buttons]="['edit']" headerCellTemplate="editHeaderTemplate"></dxi-column>
        <dxi-column dataField="h1Cd" caption="H1" dataType="string">
          <dxi-validation-rule type="required"></dxi-validation-rule>
          <dxi-validation-rule type="stringLength" [min]="9" [max]="9"
                               message="H1 should contain 9 digits only."></dxi-validation-rule>
        </dxi-column>
        <dxi-column dataField="custNme" caption="Customer Name" dataType="string">
          <dxi-validation-rule type="required"></dxi-validation-rule>
          <dxi-validation-rule type="stringLength" [max]="50"
                               message="Customer Name max characters is 50."></dxi-validation-rule>
        </dxi-column>
        <dxi-column dataField="recStusId" caption="Status" dataType="boolean"></dxi-column>
        <div *dxTemplate="let data of 'editHeaderTemplate'">
          <div>Edit</div>
        </div>
        <div *dxTemplate="let data of 'addTemplate'">
          <button type="button" class="btn btn-sm btn-primary btn-block" (click)="addForm()">
            New Customer Bypass
          </button>
        </div>
      </dx-data-grid>
    </div>
  </div>
</div>
